## gpgmepp 2.0.0

=== src/CMakeLists.txt ===
# CMakeLists.txt for GpgME++
# Copyright 2021 Daniel Vrátil <dvratil@kde.org>
# Copyright 2025 g10 Code GmbH
# Software engineering by Carl Schwan <carl.schwan@gnupg.com>
# Software engineering by Ingo Klöcker <dev@ingo-kloecker.de>
#
# This file is part of GPGME++.
#
# GPGME++ is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# GPGME++ is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
# Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, see <https://gnu.org/licenses/>.
# SPDX-License-Identifier: LGPL-2.1-or-later

add_compile_definitions(GPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_GPGME)
if(WIN32)
  add_compile_definitions(GPG_ERR_ENABLE_GETTEXT_MACROS=1)
endif()

if(ENABLE_SHARED)
    add_library(Gpgmepp SHARED)
endif()
if(ENABLE_STATIC)
    add_library(GpgmeppStatic STATIC)
endif()

set(Gpgmepp_SOURCES
    callbacks.cpp
    configuration.cpp
    context.cpp
    context_vanilla.cpp
    data.cpp
    decryptionresult.cpp
    defaultassuantransaction.cpp
    editinteractor.cpp
    encryptionresult.cpp
    engineinfo.cpp
    error.cpp
    eventloopinteractor.cpp
    exception.cpp
    gpgaddexistingsubkeyeditinteractor.cpp
    gpgadduserideditinteractor.cpp
    gpgagentgetinfoassuantransaction.cpp
    gpggencardkeyinteractor.cpp
    gpgrevokekeyeditinteractor.cpp
    gpgsetexpirytimeeditinteractor.cpp
    gpgsetownertrusteditinteractor.cpp
    gpgsignkeyeditinteractor.cpp
    importresult.cpp
    key.cpp
    keygenerationresult.cpp
    keylistresult.cpp
    scdgetinfoassuantransaction.cpp
    signingresult.cpp
    statusconsumerassuantransaction.cpp
    swdbresult.cpp
    tofuinfo.cpp
    util.cpp
    verificationresult.cpp
    vfsmountresult.cpp
)

set(Gpgmepp_HEADERS
    configuration.h
    context.h
    data.h
    decryptionresult.h
    defaultassuantransaction.h
    editinteractor.h
    encryptionresult.h
    engineinfo.h
    error.h
    eventloopinteractor.h
    exception.h
    global.h
    gpgaddexistingsubkeyeditinteractor.h
    gpgadduserideditinteractor.h
    gpgagentgetinfoassuantransaction.h
    gpggencardkeyinteractor.h
    gpgmefw.h
    gpgrevokekeyeditinteractor.h
    gpgsetexpirytimeeditinteractor.h
    gpgsetownertrusteditinteractor.h
    gpgsignkeyeditinteractor.h
    importresult.h
    key.h
    keygenerationresult.h
    keylistresult.h
    notation.h
    randomresults.h
    result.h
    scdgetinfoassuantransaction.h
    signingresult.h
    statusconsumerassuantransaction.h
    swdbresult.h
    tofuinfo.h
    verificationresult.h
    vfsmountresult.h
)

set(Gpgmepp_PRIVATE_HEADERS
    callbacks.h
    context_p.h
    data_p.h
    result_p.h
    util.h
)

set(Gpgmepp_interface_HEADERS
    interfaces/assuantransaction.h
    interfaces/dataprovider.h
    interfaces/passphraseprovider.h
    interfaces/progressprovider.h
    interfaces/statusconsumer.h
)

if(ENABLE_SHARED)
    target_sources(Gpgmepp PRIVATE ${Gpgmepp_SOURCES})

    target_include_directories(Gpgmepp
        PRIVATE ${LibGpgError_INCLUDE_DIRS}
        INTERFACE $<INSTALL_INTERFACE:include>
    )

    target_link_libraries(Gpgmepp Gpgme::Gpgme)

    set_target_properties(Gpgmepp PROPERTIES
        OUTPUT_NAME gpgmepp
        VERSION "${LIBGPGMEPP_SOVERSION}.${LIBGPGMEPP_LT_AGE}.${LIBGPGMEPP_LT_REVISION}"
        SOVERSION ${LIBGPGMEPP_SOVERSION}
    )
endif()
if(ENABLE_STATIC)
    target_sources(GpgmeppStatic PRIVATE ${Gpgmepp_SOURCES})

    target_include_directories(GpgmeppStatic
        PRIVATE ${LibGpgError_INCLUDE_DIRS}
        INTERFACE $<INSTALL_INTERFACE:include>
    )

    target_link_libraries(GpgmeppStatic Gpgme::Gpgme)

    set_target_properties(GpgmeppStatic PROPERTIES
        OUTPUT_NAME gpgmepp
        VERSION "${LIBGPGMEPP_SOVERSION}.${LIBGPGMEPP_LT_AGE}.${LIBGPGMEPP_LT_REVISION}"
        COMPILE_FLAGS -DGPGMEPP_STATIC_DEFINE
    )
endif()

include(GenerateExportHeader)
if(ENABLE_SHARED)
    generate_export_header(Gpgmepp)
else()
    # workaround for https://gitlab.kitware.com/cmake/cmake/-/issues/23195:
    # we want to generate the same export header for the static library as for
    # the shared library (to avoid co-installation problems); therefore, we add
    # a dummy shared library target and generate the export header for this target;
    # users of the static library will have to define GPGMEPP_STATIC_DEFINE to
    # get the correct EXPORT macros
    add_library(GpgmeppDummy SHARED context_vanilla.cpp)
    set_target_properties(GpgmeppDummy PROPERTIES
        DEFINE_SYMBOL Gpgmepp_EXPORTS
    )
    generate_export_header(GpgmeppDummy
        BASE_NAME gpgmepp
    )
endif()
# create a copy of the export header in a gpgme++/ folder so that the includes
# in the interfaces headers work during the build
configure_file(${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_export.h gpgme++/gpgmepp_export.h COPYONLY)

include(ECMSetupVersion)
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX GPGMEPP
                  SOVERSION "${LIBGPGMEPP_SOVERSION}"
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfigVersion.cmake"
                  COMPATIBILITY AnyNewerVersion
)

include(CMakePackageConfigHelpers)
set(CMAKECONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/Gpgmepp)
configure_package_config_file(GpgmeppConfig.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfig.cmake
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(ENABLE_SHARED)
    if (MSVC)
        install(TARGETS Gpgmepp EXPORT GpgmeppTargets "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}")
    else()
        install(TARGETS Gpgmepp EXPORT GpgmeppTargets)
    endif()
endif()
if(ENABLE_STATIC)
    install(TARGETS GpgmeppStatic)
endif()

set(pkgconfig_host_line "")
if(PKGCONFIG_HOST)
    set(pkgconfig_host_line "host=${PKGCONFIG_HOST}\n")
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gpgmepp.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/gpgmepp.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gpgmepp.pc
        DESTINATION "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig")

install(FILES ${Gpgmepp_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/gpgme++)

install(FILES ${Gpgmepp_interface_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/gpgme++/interfaces)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_version.h
              ${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/gpgme++)

# for now we install the cmake config files only for the shared library
if(ENABLE_SHARED)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfigVersion.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfig.cmake
            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
    install(EXPORT GpgmeppTargets
            DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            FILE GpgmeppTargets.cmake)
    install(FILES ${CMAKE_SOURCE_DIR}/cmake/modules/FindGpgme.cmake
                ${CMAKE_SOURCE_DIR}/cmake/modules/FindLibGpgError.cmake
            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()

=== debian/changelog ===
gpgmepp (2.0.0-1) experimental; urgency=medium

  * New upstream version, split-off from gpgme.
  * Bump standards-version.
  * Drop unused ignore patterns fom gbp.conf.
  * Ship NEWS file.
  * libgpgmepp-dev: Fix symlink to README.
  * B-D on libgpgme-dev release instead of snapshot.
  * Drop B-D on libassuan-dev, it is not used directly by gpgmepp.
  * Drop unused B-D on texinfo.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jun 2025 13:24:39 +0200

gpgme1.0 (1.24.2-3) unstable; urgency=medium

  * Fix hanging state machine.
    https://dev.gnupg.org/T7600 Fix picked from gpgme-1.24-branch
  * Fix 64bit time_t overflow bug on 32 bit archs (Closes: #1103787) (Also
    from upstream gpgme-1.24-branch)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 May 2025 17:49:48 +0200

gpgme1.0 (1.24.2-2) unstable; urgency=medium

  * Adapt testsuite to changed gnupg 2.4 defaults in Debian.
    (Closes: #1103189)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Apr 2025 12:08:55 +0200

gpgme1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version.
    + Drop superfluous patches, unfuzz.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Feb 2025 13:32:04 +0100

gpgme1.0 (1.24.1-4) unstable; urgency=high

  * Fix regression in 1.24.1 for RSA in gpgme_pubkey_algo_string.
    https://dev.gnupg.org/T7508

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Feb 2025 06:53:51 +0100

gpgme1.0 (1.24.1-3) unstable; urgency=medium

  * Cherry-pick fix for testsuite timebomb from upstream (Closes: 1091499)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2025 13:16:51 +0100

gpgme1.0 (1.24.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2024 11:36:48 +0100

gpgme1.0 (1.24.1-1) experimental; urgency=low

  * New upstream version.
  * Update libgpgme11t64 symbol file for extension of gpgme_pubkey_algo_t.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2024 07:42:09 +0100

gpgme1.0 (1.24.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Nov 2024 17:47:53 +0100

gpgme1.0 (1.24.0-1) experimental; urgency=medium

  * New upstream version.
  * Update patches for 1.24.0, drop superfluous ones.
  * Run wrap-and-sort -ast
  * Ship newly available gpgmepp pkg-config file in libgpgmepp-dev.
  * Add new symbols to libgpgme11t64 symbol file.
  * Simplify package build/test/install. 1.24.0 supports building qt5 and
    qt6 bindings in one go.
  * Update copyright info for 1.24.0.
  * Ship newly available upstream version of gpgme-json.1.  Also add a b-d on
    gpgrt-tools since yat2m is needed to generate the manpage.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Nov 2024 13:28:58 +0100

gpgme1.0 (1.23.2-5) unstable; urgency=low

  * Add b-d on python3-setuptools. Closes: #1080871
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Oct 2024 14:29:00 +0200

gpgme1.0 (1.23.2-4) experimental; urgency=medium

  [ Sébastien Noel ]
  * Add a new gpgme-json package. Closes: #911189,#1028160

  [ Daniel Kahn Gillmor ]
  * clean up build-qt6/
  * update copyright years in gpgme-json.1
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 19:16:58 -0400

gpgme1.0 (1.23.2-3) experimental; urgency=medium

  * tell gpg to --verify (Closes: #1080430)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 18:28:07 -0400

gpgme1.0 (1.23.2-2) experimental; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev.  Closes: #1078464
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:19:03 +0200

gpgme1.0 (1.23.2-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz patches, drop cherry-picked patches.
    + Update libgpgme11t64 symbol file.
    + Update copyright info.
  * b-d on pkgconf instead of pkg-config.
  * Use wildcards in no-symbols-control-file overrides.
  * Bump Standards-Version to 4.7.0.
  * Split off libqgpgme-dev (QT5) package from libgpgmepp-dev.
    Closes: #863149
  * Fix README links in lib(q)gpgme development packages (broken by t64
    package rename).
  * Package QT6 bindings, cherrypicking the upstream change to install QT5 and
    QT6 headers in separate directories. Closes: #1073255
  * Update gpgme.m4 from upstream GIT master.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Aug 2024 13:28:58 +0200

gpgme1.0 (1.18.0-6) unstable; urgency=high

  * Delete outdated m4/libassuan.m4 to allow building against libassuan 3.
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:06:41 +0200

gpgme1.0 (1.18.0-5) unstable; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev. -
    libgpgmepp-dev's error.h #includes gpg-error.h. (Thanks, John Scott)
    Closes: #1078464
  * Let libgpgmepp-dev Provide libqgpgme-dev, the latter has been
    split-off to a separate package in experimental. (See #863149)
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Aug 2024 10:12:45 +0200

gpgme1.0 (1.18.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062119

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:10:53 +0000

gpgme1.0 (1.18.0-4) unstable; urgency=medium

  * Team upload.
  * Patch Makefile.am to invoke setup.py with --install-layout=deb and
    --root "$(DESTDIR)" (instead of setting prefix) and adapt paths in
    python3-gpg.install to allow building with python3-setuptools.
    Closes: #1039724, #1054786

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 Nov 2023 18:11:31 +0100

gpgme1.0 (1.18.0-3) unstable; urgency=medium



=== debian/control ===
Source: gpgmepp
Priority: optional
Section: libs
Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Andreas Metzler <ametzler@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake (>= 3.16),
 gnupg-agent,
 gnupg2 | gnupg (>= 2),
 gpgrt-tools,
 gpgsm,
 libgpg-error-dev (>= 1.47),
 libgpgme-dev (>= 2.0.0),
 pkgconf,
 scdaemon,
Standards-Version: 4.7.2
Homepage: https://gnupg.org/software/gpgme/
Vcs-Git: https://salsa.debian.org/debian/gpgmepp.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/debian/gpgmepp/tree/debian/unstable
Rules-Requires-Root: no

Package: libgpgmepp7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ wrapper library for GPGME
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 This is the official upstream C++ binding for GPGME.

Package: libgpgmepp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgpg-error-dev,
 libgpgmepp7 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libgpgmepp-doc,
Description: C++ wrapper library for GPGME (development files)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 This package contains the headers and other files needed to compile
 against it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure --verbose -- -DENABLE_STATIC=ON

%:
	dh $@ --builddirectory=build

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://gnupg.org/ftp/gcrypt/gpgmepp/gpgmepp@ANY_VERSION@@ARCHIVE_EXT@

## gpgmepp 15.07.90

=== debian/changelog ===
gpgmepp (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:29:00 +0100

=== debian/control ===
Source: gpgmepp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libboost-dev,
               libgpgme11-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/gpgmepp
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gpgmepp.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gpgmepp.git

Package: libkf5gpgmepp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5gpgmepp-pthread5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5gpgmepp-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5gpgmepp-pthread5 (= ${binary:Version}),
         libkf5gpgmepp5 (= ${binary:Version}),
         libkf5qgpgme5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: c++ wrapper library for gpgme - development files
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5qgpgme5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for GpgME++ integration with Qt
 QGpgME is a library that provides GpgME++ integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: gpgmepp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5gpgmepp5 (= ${binary:Version}) | libkf5gpgmepp-pthread5 (= ${binary:Version}) | libkf5qgpgme5 (= ${binary:Version}),
         ${misc:Depends}
Description: c++ wrapper library for gpgme - debug symbols
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package contains the debug symbols.

## gpgmepp 15.08.0

=== debian/changelog ===
gpgmepp (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:58:34 +0100

## gpgmepp 15.08.1

=== debian/changelog ===
gpgmepp (15.08.1-0ubuntu1) wily; urgency=medium

  [ Clive Johnston ]
  * New upstream release (15.08.1)
  * Updating symbols files
  * Removing 4: epoch from symbols files

  [ Harald Sitter ]
  * Fix version symbols were confirmed against

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:08:04 +0100

## gpgmepp 15.08.2

=== debian/changelog ===
gpgmepp (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:51:00 +0100

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/gpgmepp-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/gpgmepp-([\d.]+).tar.xz

## gpgmepp 15.12.1

=== debian/changelog ===
gpgmepp (15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:24:32 +0100

gpgmepp (15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:07 +0200

gpgmepp (15.08.0-2) unstable; urgency=medium

  * Prepare release to unstable.
  * Update symbols files from buildds logs (15.08.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 15:40:14 +0200

gpgmepp (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 01:00:36 +0200

## gpgmepp 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Gpgmepp)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Gpgmepp_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)


set(KF5_VERSION "5.14.0")
set(GPGMEPP_LIB_VERSION "4.80.0")
set(QT_MIN_VERSION "5.4.0")

ecm_setup_version(${GPGMEPP_LIB_VERSION} VARIABLE_PREFIX GPGMEPP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GpgmeppConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core)

find_package(Gpgme)
set_package_properties(Gpgme PROPERTIES
    PURPOSE "Required to build Gpgme++"
    TYPE REQUIRED
)

find_package(Boost REQUIRED)
if(WIN32)
    find_package(KDEWin REQUIRED)
    INCLUDE_DIRECTORIES(${KDEWIN_INCLUDES})
    LINK_LIBRARIES(${KDEWIN_LIBRARIES})
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Gpgmepp")



ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5GpgmeppConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GpgmeppConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GpgmeppConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5GpgmeppConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
    KF5GpgmeppTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5GpgmeppTargets.cmake
    NAMESPACE KF5::)


install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/gpgmepp_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)

########### Targets ###########
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)

if(BUILD_TESTING)
    #qt5 reactivate it
    #add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
gpgmepp (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:55:09 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.12.0~),
                libboost-dev,
                libgpgme11-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/gpgmepp
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gpgmepp.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gpgmepp.git
@@ -39,9 +39,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5gpgmepp-pthread5 (= ${binary:Version}),
+Depends: libboost-dev,
+         libgpgme11-dev,
+         libkf5gpgmepp-pthread5 (= ${binary:Version}),
          libkf5gpgmepp5 (= ${binary:Version}),
          libkf5qgpgme5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.2.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: c++ wrapper library for gpgme - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=gpgmepp-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## gpgmepp 16.04.3

=== debian/changelog ===
gpgmepp (16.04.3-2) unstable; urgency=medium

  * Use the new libgpgme-dev
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Nov 2016 19:32:09 +0100

gpgmepp (16.04.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Jul 2016 11:18:21 +0200

gpgmepp (16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:04:39 +0200

gpgmepp (16.04.1-1) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 18:07:35 +0200

gpgmepp (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-2).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * UNRELEASED

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 09:01:23 +0200

gpgmepp (15.12.0-2) experimental; urgency=medium

  * Update symbols files from buildds logs (15.12.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 16:01:14 +0100

gpgmepp (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
+               extra-cmake-modules (>= 5.19.0~),
                libboost-dev,
-               libgpgme11-dev,
+               libgpgme-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/gpgmepp
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gpgmepp.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gpgmepp.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/gpgmepp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/gpgmepp.git
 
 Package: libkf5gpgmepp5
 Architecture: any
@@ -40,11 +40,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libboost-dev,
-         libgpgme11-dev,
+         libgpgme-dev,
          libkf5gpgmepp-pthread5 (= ${binary:Version}),
          libkf5gpgmepp5 (= ${binary:Version}),
          libkf5qgpgme5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.2.0~),
+         qtbase5-dev (>= 5.4.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: c++ wrapper library for gpgme - development files
@@ -63,16 +63,3 @@
  and some Qt datatypes (e.g. QByteArray).
  .
  This package is part of the KDE Development Platform PIM libraries module.
-
-Package: gpgmepp-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5gpgmepp5 (= ${binary:Version}) | libkf5gpgmepp-pthread5 (= ${binary:Version}) | libkf5qgpgme5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: c++ wrapper library for gpgme - debug symbols
- GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
- (GnuPG Made Easy) library.
- .
- This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='gpgmepp-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:
